<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html  xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-type" content="text/html; charset=ISO-8859-1" />
<link rel="stylesheet" href="../robodoc.css" type="text/css" />
<title>./src/group_level/etsf_io_dims_get.f90</title>
<!-- Source: ./src/group_level/etsf_io_dims_get.f90 -->
<!-- Generated with ROBODoc Version 4.99.38 (May  3 2009) -->
</head>
<body>
<div id="logo">
<a name="robo_top_of_doc">ETSF_IO library - documentation pages</a>
</div> <!-- logo -->
<div id="navigation">
<a class="menuitem" href="../toc_index.html#top">Table of Contents</a>
<a class="menuitem" href="../robo_sourcefiles.html#top">Sourcefiles</a>
<a class="menuitem" href="../masterindex.html#top">Index</a>
<a class="menuitem" href="../robo_definitions.html#top">Definitions</a>
<a class="menuitem" href="../robo_tuto_cat.html#top">Tutorials</a>
<a class="menuitem" href="../robo_functions.html#top">Functions</a>
<a class="menuitem" href="../robo_sub_cat.html#top">Sub categories</a>
<a class="menuitem" href="../robo_modules.html#top">Modules</a>
<a class="menuitem" href="../robo_methods.html#top">Methods</a>
<a class="menuitem" href="../robo_strutures.html#top">Structures</a>
</div> <!-- navigation -->
<div id="content">
<h3>TABLE OF CONTENTS</h3>
<ul>
<li><a href="#robo34">etsf_io_dims_get</a></li>
</ul>
<hr />
<a name="etsf5fdims2fetsf5fio5fdims5fget"></a>
<a name="robo34"></a><h2>etsf_io_dims_get</h2>

<p>[ <a href="#robo_top_of_doc">Top</a> ] [ <a href="./etsf_io_f90.html#robo10">etsf_dims</a> ] [ <a href="../robo_methods.html#robo_top_of_doc">Methods</a> ]</p>
<p class="item_name">NAME</p>
<p>  <strong>etsf_io_dims_get</strong>
</p>
<p class="item_name">FUNCTION</p>
<p>    Read the dimensions from an ETSF file. If one dimension is not found,
    its value is put to etsf_no_dimension (see <a href="./etsf_io_f90.html#robo21">ETSF_IO_CONSTANTS</a>).
</p>
<p class="item_name">INPUTS</p>
<ul><li> ncid = 
     integer returned by an 'open' NetCDF call. The file can be 
     either in define or write mode. This status can be changed
     by the call.
</li>
</ul>
<p></p>
<p class="item_name">OUTPUT</p>
<ul><li> dims &lt;type(<a href="./etsf_io_f90.html#robo10">etsf_dims</a>)&gt; = 
     an allocated structure to put the read values for all dimensions
     of the ETSF file pointed by @ncid.
</li>
<li> lstat = 
     return .true. if all the actions succeed, if not the status
     of the file is undefined.
</li>
<li> error_data &lt;type(<a href="../low_level/public_variables_f90.html#robo68">etsf_io_low_error</a>)&gt; = 
     contains the details of the error is @lstat is false.
</li>
</ul>
<p></p>
<p class="item_name">NOTES</p>
<p>  This file has been automatically generated by the autogen_subroutines.py
  script. Any change you would bring to it will systematically be
  overwritten.
</p>
<p class="item_name">SOURCE</p>
<pre class="source"><span class="keyword">subroutine</span> <strong>etsf_io_dims_get</strong><span class="sign">(</span>ncid<span class="sign">,</span> dims<span class="sign">,</span> lstat<span class="sign">,</span> error_data<span class="sign">)</span>

  <span class="comment">!Arguments ------------------------------------</span>
  <span class="keyword">integer</span><span class="sign">,</span> <span class="keyword">intent</span><span class="sign">(</span><span class="keyword">in</span><span class="sign">)</span> <span class="sign">:</span><span class="sign">:</span> ncid
  <span class="keyword">type</span><span class="sign">(</span><a href="./etsf_io_f90.html#robo10">etsf_dims</a><span class="sign">)</span><span class="sign">,</span> <span class="keyword">intent</span><span class="sign">(</span><span class="keyword">out</span><span class="sign">)</span> <span class="sign">:</span><span class="sign">:</span> dims
  <span class="keyword">logical</span><span class="sign">,</span> <span class="keyword">intent</span><span class="sign">(</span><span class="keyword">out</span><span class="sign">)</span> <span class="sign">:</span><span class="sign">:</span> lstat
  <span class="keyword">type</span><span class="sign">(</span><a href="../low_level/public_variables_f90.html#robo68">etsf_io_low_error</a><span class="sign">)</span><span class="sign">,</span> <span class="keyword">intent</span><span class="sign">(</span><span class="keyword">out</span><span class="sign">)</span> <span class="sign">:</span><span class="sign">:</span> error_data

  <span class="comment">!Local variables-------------------------------</span>
  <span class="keyword">character</span><span class="sign">(</span><span class="keyword">len</span> <span class="sign">=</span> <span class="sign">*</span><span class="sign">)</span><span class="sign">,</span> <span class="keyword">parameter</span> <span class="sign">:</span><span class="sign">:</span> my_name <span class="sign">=</span> <span class="squote">'<strong>etsf_io_dims_get</strong>'</span>


  <span class="comment">! *************************************************************************</span>

<span class="comment">!DEBUG</span>
<span class="comment">!write (*,*) '<strong>etsf_io_dims_get</strong> : enter'</span>
<span class="comment">!ENDDEBUG</span>

  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"character_string_length"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>character_string_length<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>character_string_length <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"complex"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>complex<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>complex <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"max_number_of_angular_momenta"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>max_number_of_angular_momenta<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>max_number_of_angular_momenta <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"max_number_of_basis_grid_points"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>max_number_of_basis_grid_points<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>max_number_of_basis_grid_points <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"max_number_of_coefficients"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>max_number_of_coefficients<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>max_number_of_coefficients <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"max_number_of_projectors"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>max_number_of_projectors<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>max_number_of_projectors <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"max_number_of_states"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>max_number_of_states<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>max_number_of_states <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_atoms"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_atoms<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_atoms <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_atom_species"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_atom_species<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_atom_species <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_cartesian_directions"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_cartesian_directions<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_cartesian_directions <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_coefficients_dielectric_function"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_coefficients_dielectric_function<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_coefficients_dielectric_function <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_components"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_components<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_components <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_frequencies_dielectric_function"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_frequencies_dielectric_function<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_frequencies_dielectric_function <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_grid_points_vector1"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_grid_points_vector1<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_grid_points_vector1 <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_grid_points_vector2"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_grid_points_vector2<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_grid_points_vector2 <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_grid_points_vector3"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_grid_points_vector3<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_grid_points_vector3 <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_kpoints"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_kpoints<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_kpoints <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_localization_regions"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_localization_regions<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_localization_regions <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_qpoints_dielectric_function"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_qpoints_dielectric_function<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_qpoints_dielectric_function <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_qpoints_gamma_limit"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_qpoints_gamma_limit<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_qpoints_gamma_limit <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_reduced_dimensions"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_reduced_dimensions<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_reduced_dimensions <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_spinor_components"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_spinor_components<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_spinor_components <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_spins"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_spins<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_spins <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_symmetry_operations"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_symmetry_operations<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_symmetry_operations <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"number_of_vectors"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>number_of_vectors<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>number_of_vectors <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"real_or_complex_coefficients"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>real_or_complex_coefficients<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>real_or_complex_coefficients <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"real_or_complex_density"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>real_or_complex_density<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>real_or_complex_density <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"real_or_complex_gw_corrections"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>real_or_complex_gw_corrections<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>real_or_complex_gw_corrections <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"real_or_complex_potential"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>real_or_complex_potential<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>real_or_complex_potential <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"real_or_complex_wavefunctions"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>real_or_complex_wavefunctions<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>real_or_complex_wavefunctions <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"symbol_length"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>symbol_length<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>symbol_length <span class="sign">=</span> etsf_no_dimension
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_max_number_of_coefficients"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_max_number_of_coefficients<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_max_number_of_coefficients <span class="sign">=</span> dims<span class="sign">%</span>max_number_of_coefficients
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_max_number_of_states"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_max_number_of_states<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_max_number_of_states <span class="sign">=</span> dims<span class="sign">%</span>max_number_of_states
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_components"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_components<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_components <span class="sign">=</span> dims<span class="sign">%</span>number_of_components
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_grid_points_vector1"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_grid_points_vect1<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_grid_points_vect1 <span class="sign">=</span> dims<span class="sign">%</span>number_of_grid_points_vector1
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_grid_points_vector2"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_grid_points_vect2<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_grid_points_vect2 <span class="sign">=</span> dims<span class="sign">%</span>number_of_grid_points_vector2
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_grid_points_vector3"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_grid_points_vect3<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_grid_points_vect3 <span class="sign">=</span> dims<span class="sign">%</span>number_of_grid_points_vector3
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_kpoints"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_kpoints<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_kpoints <span class="sign">=</span> dims<span class="sign">%</span>number_of_kpoints
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  
  <span class="keyword">call</span> <a href="../low_level/read_routines_f90.html#robo83">etsf_io_low_read_dim</a><span class="sign">(</span>ncid<span class="sign">,</span> <span class="quote">"my_number_of_spins"</span><span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> dims<span class="sign">%</span>my_number_of_spins<span class="sign">,</span> <span class="sign">&amp;</span>
                          <span class="sign">&amp;</span> lstat<span class="sign">,</span> error_data <span class="sign">=</span> error_data<span class="sign">)</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="sign">.</span><span class="keyword">not</span><span class="sign">.</span> lstat<span class="sign">)</span> <span class="keyword">then</span> 
    <span class="keyword">if</span> <span class="sign">(</span>error_data<span class="sign">%</span>access_mode_id <span class="sign">=</span><span class="sign">=</span> ERROR_MODE_INQ<span class="sign">)</span> <span class="keyword">then</span>
      dims<span class="sign">%</span>my_number_of_spins <span class="sign">=</span> dims<span class="sign">%</span>number_of_spins
    <span class="keyword">else</span>
      <span class="keyword">call</span> <a href="../low_level/etsf_io_low_level_f90.html#robo74">etsf_io_low_error_update</a><span class="sign">(</span>error_data<span class="sign">,</span> my_name<span class="sign">)</span>
      <span class="keyword">return</span>
    <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  lstat <span class="sign">=</span> <span class="sign">.</span><span class="keyword">true</span><span class="sign">.</span>


<span class="comment">!DEBUG</span>
<span class="comment">!write (*,*) '<strong>etsf_io_dims_get</strong> : exit'</span>
<span class="comment">!ENDDEBUG</span>

<span class="keyword">end</span> <span class="keyword">subroutine</span> <strong>etsf_io_dims_get</strong>
</pre>

</div> <!-- content -->
<div id="footer">
<p>Generated from ./src/group_level/etsf_io_dims_get.f90 with <a href="http://www.xs4all.nl/~rfsber/Robo/robodoc.html">ROBODoc</a> V4.99.38 on Fri Nov 25 2011 14:02:55
</p>
</div> <!-- footer -->
</body>
</html>
